<p align="center">
  <img src="./pss.gif" width="100" height="51" />
</p>

> Design system utils for component based CSS-in-JS libraries


- [x] Support [`emotion`](https://emotion.sh), [`styled-components`](https://www.styled-components.com) and [`glamorous`](https://glamorous.rocks)
- [x] Responsive by default
- [x] Dynamic
- [x] Only 4.41 KB gziped for all styles


## 📦 Install

```sh
$ yarn add pss
```


## 🤔 Why?

Because css-in-js and design systems are all the hype right now! But seriously, we want to: 

- Define our styling system (grid, colors, fonts, sizes, breakpoints, etc.) once and reuse it throughout the project
- Style our components using concise and easy-to-memorize props
- Have a convenient way to define alternative styles for different screen sizes


## 📖 [API](./docs/api.md)

## 🌍 [Components & Demo](http://pss-components.surge.sh/)

## 🔗 Links

### Sites

- [strelkamag.com](http://strelkamag.com) — 🌍 Strelka Mag
- [goremykina](https://github.com/exah/goremykina) — 🌍 Irina Goremykina
- [inthecity.strelka.com](https://inthecity.strelka.com) – 🌍 Conference about urban technologies


### Packages

- [`pss-components`](https://github.com/exah/components) — Components created with `pss`
- [`polished`](https://github.com/styled-components/polished) — "A lightweight toolset for writing styles in JavaScript"


### Alternatives

- [`styled-system`](https://github.com/jxnblk/styled-system) — "Design system utilities for styled-components and other css-in-js libraries." Similiar project and probably better.
- [`prop-styles`](https://github.com/peterschussheim/prop-styles) — "Utility to create flexible React components which accept props to enable/disable certain styles."


---

MIT © [John Grishin](http://johngrish.in)
