"use strict";

exports.__esModule = true;
exports.gridItem = exports.createGridItem = void 0;

var _core = require("../core");

var _utils = require("../utils");

var createGridItem = function createGridItem(prefix) {
  var _createStyles;

  return (0, _core.createStyles)((_createStyles = {}, _createStyles[(0, _utils.addPrefix)(prefix, 'column')] = (0, _core.rule)('gridColumn'), _createStyles[(0, _utils.addPrefix)(prefix, 'row')] = (0, _core.rule)('gridRow'), _createStyles[(0, _utils.addPrefix)(prefix, 'area')] = (0, _core.rule)('gridArea'), _createStyles));
};
/**
 * ```js
 * import { gridItem } from 'pss'
 * ```
 *
 * prop          | css            | theme    | value | default
 * :-------------|:---------------|:---------|:------|:-------
 * `gridColumn`  | `grid-column`  | —        | ✓     | —
 * `gridRow`     | `grid-row`     | —        | ✓     | —
 * `gridArea`    | `grod-area`    | —        | ✓     | —
 *
 * Related: {@link rule}, {@link sizeValue}.
 *
 * @example
 * import { gridItem } from 'pss'
 *
 * const GridItem = styled.div`
 *   ${gridItem}
 * `
 *
 * @example
 * <Grid> // display: grid
 *   <GridItem gridRow='1' girdColumn='2'>1</GridItem>
 *   <GridItem gridRow='2' gridColumn='1'>2</GridItem>
 * </Grid>
 */


exports.createGridItem = createGridItem;
var gridItem = createGridItem('grid');
exports.gridItem = gridItem;