"use strict";

exports.__esModule = true;
exports.themeValue = themeValue;

var _utils = require("@exah/utils");

var _utils2 = require("../utils");

function themeValue(_temp) {
  var _ref = _temp === void 0 ? {} : _temp,
      themeKey = _ref.themeKey,
      _ref$transformValue = _ref.transformValue,
      transformValue = _ref$transformValue === void 0 ? _utils.identity : _ref$transformValue,
      fallback = _ref.fallback,
      _ref$scale = _ref.scale,
      scale = _ref$scale === void 0 ? {} : _ref$scale,
      _ref$defaultKeyword = _ref.defaultKeyword,
      defaultKeyword = _ref$defaultKeyword === void 0 ? 'auto' : _ref$defaultKeyword;

  var getThemeScale = (0, _utils2.themePath)(themeKey, scale);
  return function (defaultValue) {
    if (defaultValue === void 0) {
      defaultValue = fallback;
    }

    return function (input, props, mediaKey) {
      var isDefaultValue = input === true || defaultKeyword != null && input === defaultKeyword;
      var valueKey = isDefaultValue ? (0, _utils2.getDefault)(themeKey)(props) : input;
      var themeScale = getThemeScale(props);
      var result = (0, _utils.path)(valueKey, defaultValue)(themeScale);

      if ((0, _utils.isObj)(result)) {
        if (Object.prototype.hasOwnProperty.call(result, mediaKey)) {
          return transformValue(result[mediaKey]);
        }

        return (0, _utils.mapObj)(function (key, val) {
          var _ref2;

          return _ref2 = {}, _ref2[key] = transformValue(val), _ref2;
        }, result);
      }

      return transformValue(result);
    };
  };
}